From d818d1e553d936edd2a7e24a8c4e41fdb5b0f137 Mon Sep 17 00:00:00 2001
From: Daniel Thompson <daniel@redfelineninja.org.uk>
Date: Sat, 12 Apr 2014 09:30:12 +0100
Subject: [PATCH] Fix --with-clang on Fedora and related distros.

The directory search list in the configure script does not include
the directories where Fedora has packaged the LLVM libraries.

Signed-off-by: Daniel Thompson <daniel@redfelineninja.org.uk>

diff --git a/configure b/configure
index e8f702d..f56032e 100755
--- a/configure
+++ b/configure
@@ -555,7 +555,7 @@ fi
 if test "$f_libclang" = YES; then
   printf "  Checking for libclang ... "
   libclang_hdr_dir="/usr/include /usr/local/include /opt/local/include"
-  libclang_lib_dir="/usr/lib /usr/local/lib /opt/local/lib"
+  libclang_lib_dir="/usr/lib /usr/local/lib /opt/local/lib /usr/lib64/llvm /usr/lib/llvm"
   if test "$f_libclangstatic" = NO; then
     libclang_lib_name="libclang.so libclang.dylib libclang.a libclang.dll.a"
   else
-- 
1.8.5.3

